<!DOCTYPE html>
<html>
  <head>
    <title>IspProvider</title>
    <%= action_cable_meta_tag %>
    <%= csrf_meta_tags %>
    <%= csp_meta_tag %>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.11.0/umd/popper.min.js" integrity="sha384-b/U6ypiBEHpOf/4+1nzFpr53nxSS+GLCkfwBdFNTxtclqqenISfwAzpKaMNFNmj4" crossorigin="anonymous"></script>

    <%= stylesheet_link_tag    'application', media: 'all' %>
    <%= javascript_include_tag 'application' %>
  </head>

  <body>
    <nav class="navbar navbar-expand-sm bg-light">
      <ul class="navbar-nav">
        <% if user_signed_in? %>
          <li class="nav-item">
            <a class="nav-link" href="#">Welcome, <%= current_user.email %></a>
          </li>
          <li class="nav-item">
            <%= link_to "Sign out", destroy_user_session_path, :method => :delete, :class => 'nav-link btn btn-primary btn-sm' %>
          </li>
        <% else %>
          <%= link_to "Sign In", new_user_session_path, :class => 'nav-link btn btn-primary btn-sm' %>  
        <% end %>
      </ul>
    </nav>
    <div class="container margin-top-20px">
      <%= yield %>
    </div>
  </body>
</html>
